from django import template

from services.models import Service


register = template.Library()


@register.filter
def active(services):
    return services.filter(has_active_allocation=True)


@register.filter
def inactive(services):
    return services.filter(has_active_allocation=False)


@register.inclusion_tag('services/tags/deallocate_modal_div.html')
def deallocate_modal_div():
    return {}


@register.inclusion_tag('services/tags/deallocate_modal_js.html')
def deallocate_modal_js():
    return {}
